Home | All Classes | Grouped Classes | Index | Search

# Class CL_Window

Window component More...

Derived from: CL_Component
Derived by: CL_FileDialog CL_InputDialog CL_MessageBox
Group: GUI (Controls)

#include <ClanLib/gui.h>

Construction:

CL_Window | Creates a window.

Attributes:

get_title | Returns the window title.
get_titlebar_buttons_enum | Returns the titlebar button enum.

Operations:

set_title | Sets the window title.

Signals:

sig_close_button_clicked | This signal is emitted when the close button on the titlebar is activated
sig_minimize_button_clicked | This signal is emitted when the minimize button on the titlebar is activated
sig_maximize_button_clicked | This signal is emitted when the maximize button on the titlebar is activated
sig_help_button_clicked | This signal is emitted when the help button on the titlebar is activated

Detailed description:

!group=GUI/Controls! !header=gui.h!
Questions or comments, write to the ClanLib mailing list.